# Generated from mr_common-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mr_common

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: Mreach Common Utils
License: MIT
URL: https://git.mreach.com/marketreach/mr_common
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pg)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(factory_bot_rails)
# BuildRequires: rubygem(faker)
# BuildRequires: rubygem(devise)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rails_config)
BuildArch: noarch

%description
Mreach Common Utils.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.1.0-1
- Initial package
